Skip to content

Update a webhook endpoint

PUT
/v1/webhook-endpoints/{id}
curl --request PUT \
--url https://your-notavia-host/v1/webhook-endpoints/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "url": "https://example.com", "event_filters": [ "example" ], "description": "example", "timeout_seconds": 1, "status": "active" }'
id
required
string format: uuid
Media type application/json
object
url
string format: uri
nullable
event_filters
Array<string>
nullable
description
string
nullable
timeout_seconds
integer
nullable
status
string
nullable
Allowed values: active paused

Updated endpoint.

Media type application/json
object
id
string format: uuid
url
string
status
string
Allowed values: active paused auto_disabled
event_filters
Array<string>
description
string
nullable
timeout_seconds
integer
signing_secret_prefix

First 8 characters of the signing secret for recognition only — full secret shown only at creation/rotation.

string
created_at
string format: date-time
Example
{
"status": "active"
}

Validation or request error.

Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
nullable
Example generated
{
"error": {
"type": "example",
"code": "example",
"message": "example",
"param": "example"
}
}

Missing or invalid credentials.

Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
nullable
Example generated
{
"error": {
"type": "example",
"code": "example",
"message": "example",
"param": "example"
}
}

Credentials do not have the required scope.

Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
nullable
Example generated
{
"error": {
"type": "example",
"code": "example",
"message": "example",
"param": "example"
}
}

Resource not found.

Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
nullable
Example generated
{
"error": {
"type": "example",
"code": "example",
"message": "example",
"param": "example"
}
}